Issue 83233 - Asynchronous callback service required
Asynchronous callback service required
Status: CLOSED FIXED
Product: gsl
Classification: Code
Component: code
OOo 2.3
All All
: P3 trivial (vote)
: OOo 2.4
Assigned To: steffen.grund
issues@gsl
http://wiki.services.openoffice.org/w...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-02 09:11 UTC by carsten.driesner
Modified: 2009-07-20 14:55 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description carsten.driesner 2007-11-02 09:11:44 UTC
The uno awt API needs a asynchronous callback service to help people to
implement dialogs which needs to be called by the Office.
Comment 1 carsten.driesner 2007-11-02 11:59:43 UTC
cd: Fixed. A description of the new service can be found here:
http://wiki.services.openoffice.org/wiki/Framework/Article/Asynchronous_Callback_Service
Comment 2 carsten.driesner 2007-11-09 10:46:37 UTC
cd->sg: Please verify this new service. You can find more information about the
service and the interfaces in the description:
http://wiki.services.openoffice.org/wiki/Framework/Article/Asynchronous_Callback_Service
Comment 3 steffen.grund 2007-11-21 11:29:55 UTC
Verified using Java test for AsyncCallback. I will extend this into a Complex
Test for the framework project.
Comment 4 thorsten.ziehm 2009-07-20 14:55:39 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues